"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_codegen_core_1 = require("graphql-codegen-core");
var js_yaml_1 = require("js-yaml");
function interpolate(str, context) {
    // tslint:disable-next-line:forin
    for (var key in context) {
        str = str.replace(new RegExp('\\$\\{' + key + '\\}', 'g'), context[key]);
    }
    return str;
}
exports.interpolate = interpolate;
function parseConfigFile(ymlString) {
    if (typeof process !== 'undefined' && 'env' in process) {
        graphql_codegen_core_1.debugLog("[CLI] Interpolation of Environmental Variables");
        ymlString = interpolate(ymlString, process.env);
    }
    graphql_codegen_core_1.debugLog("[CLI] Parsing YAML file");
    return js_yaml_1.safeLoad(ymlString);
}
exports.parseConfigFile = parseConfigFile;
//# sourceMappingURL=yml.js.map